# Restack AI libraries

This is the Python Restack AI libraries.

## Installation

You can install the Restack AI libraries using pip:

### Using pip

```bash
pip install restack_ai
```

### Using Poetry

```bash
poetry add restack_ai
```

## Prerequisites

- Python 3.8 or higher
- Poetry (for dependency management)

## Usage

To use the libraries in your project, you can import it like this:

```python
from restack_ai import Restack
```

## Initialize the Restack client

```python
client = Restack()
```

## Documentation

For detailed usage instructions, please visit our examples repository at [https://github.com/restackio/examples-python](https://github.com/restackio/examples-python).

## Development

If you want to contribute to the libraries development:

1. Clone the repository and navigate to the `engine/libraries/python` directory.
2. Install Poetry if you haven't already: [https://python-poetry.org/docs/#installation](https://python-poetry.org/docs/#installation)
3. Install the project dependencies:

   ```bash
   poetry install
   ```

4. Activate the virtual environment:

   ```bash
   poetry shell
   ```
